MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
UpdateQueue Class Reference

`#include <Queue.hxx>`

## Public Member Functions
gcc_nonnull_all bool | Push (SimpleDatabase &db, Storage &storage, const char *path, bool discard, unsigned id)
UpdateQueueItem | Pop ()
void | Clear ()
gcc_nonnull_all void | Erase (SimpleDatabase &db)
gcc_nonnull_all void | Erase (Storage &storage)

## Detailed Description

Definition at line 54 of file Queue.hxx.

## Member Function Documentation

void UpdateQueue::Clear | ( |  | ) |
| inline

Definition at line 66 of file Queue.hxx.

gcc_nonnull_all void UpdateQueue::Erase | ( | SimpleDatabase & | db | ) |

gcc_nonnull_all void UpdateQueue::Erase | ( | Storage & | storage | ) |

UpdateQueueItem UpdateQueue::Pop | ( |  | ) |

gcc_nonnull_all bool UpdateQueue::Push | ( | SimpleDatabase & | db,
|  | Storage & | storage,
|  | const char * | path,
|  | bool | discard,
|  | unsigned | id
| ) |  |

The documentation for this class was generated from the following file:

- db/update/Queue.hxx